Foxit PDF SDK

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.Combination Class Reference
Inheritance diagram for com.foxit.sdk.pdf.Combination:

## Public Member Functions
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Member Functions
static Progressive | startCombineDocuments (String dest_file_path, CombineDocumentInfoArray document_array, int options, PauseCallback pause) throws com.foxit.sdk.PDFException
| Start to combine PDF files. More...
static Progressive | startCombineDocuments (FileWriterCallback dest_file, CombineDocumentInfoArray document_array, int options, PauseCallback pause) throws com.foxit.sdk.PDFException
| Start to combine PDF files. More...

## Static Public Attributes
static final int | e_CombineDocsOptionAcroformRename = 0x0002
| If set, that means fields with same name will be renamed in combined result PDF file.
static final int | e_CombineDocsOptionBookmark = 0x0001
| If set, that means bookmarks of source PDF files will be outputted to combined result PDF file.
static final int | e_CombineDocsOptionDuplicateStream = 0x0200
| If set, that means duplicate stream objects from source PDF files will be outputted to combined result PDF file.
static final int | e_CombineDocsOptionMarkInfos = 0x0020
| If set, that means "MarkInfo" of source PDF files will be outputted to combined result PDF file.
static final int | e_CombineDocsOptionNames = 0x0080
| If set, that means "Dests" name trees and "EmbeddedFiles" name trees of source PDF files will be outputted to combined result PDF file.
static final int | e_CombineDocsOptionObjectStream = 0x0100
| If set, that means object streams will be used to generate combined result PDF file in order to reduce result file size.
static final int | e_CombineDocsOptionOCProperties = 0x0010
| If set, that means "OCProperties" of source PDF files will be outputted to combined result PDF file.
static final int | e_CombineDocsOptionOutputIntents = 0x0008
| If set, that means output intents of source PDF files will be outputted to combined result PDF file.
static final int | e_CombineDocsOptionPageLabels = 0x0040
| If set, that means page labels of source PDF files will be outputted to combined result PDF file.
static final int | e_CombineDocsOptionStructrueTree = 0x0004
| If set, that means structure trees of source PDF files will be outputted to combined result PDF file.

## Detailed Description

This class can be used to combine several PDF files into one PDF file.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.Combination.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ startCombineDocuments() [1/2]

static Progressive com.foxit.sdk.pdf.Combination.startCombineDocuments | ( | String | dest_file_path,
|  | CombineDocumentInfoArray | document_array,
|  | int | options,
|  | PauseCallback | pause
| ) |  | throws com.foxit.sdk.PDFException
| static

Start to combine PDF files.

It may take a long time to combining documents, so Foxit PDF SDK uses a progressive process to do this. This function does not support to combine XFA document.

Parameters

  [in] | dest_file_path | A full path to save the combined result PDF file. This should not be an empty string.
  [in] | document_array | An information array which represents information of source PDF files which are to be combined.
  [in] | options | Options for combining PDF documents. Please refer to values starting from com.foxit.sdk.pdf.Combination.e_CombineDocsOptionBookmark and this can be one or a combination of these values. 0 means no option is used.
  [in] | pause | Pause object which decides if the combining process needs to be paused. This can be null which means not to pause during the parsing process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.getRateOfProgress . If the rate is not 100 yet, call function common.Progressive.resume to continue the progress until the progress is finished.

## ◆ startCombineDocuments() [2/2]

static Progressive com.foxit.sdk.pdf.Combination.startCombineDocuments | ( | FileWriterCallback | dest_file,
|  | CombineDocumentInfoArray | document_array,
|  | int | options,
|  | PauseCallback | pause
| ) |  | throws com.foxit.sdk.PDFException
| static

Start to combine PDF files.

It may take a long time to combining documents, so Foxit PDF SDK uses a progressive process to do this. This function does not support to combine XFA document.

Parameters

  [in] | dest_file | A com.foxit.sdk.common.fxcrt.FileWriterCallback object which is implemented by user to store the data of combined result PDF file in custom method.
  [in] | document_array | An information array which represents information of source PDF files which are to be combined.
  [in] | options | Options for combining PDF documents. Please refer to values starting from com.foxit.sdk.pdf.Combination.e_CombineDocsOptionBookmark and this can be one or a combination of these values. 0 means no option is used.
  [in] | pause | Pause object which decides if the combining process needs to be paused. This can be null which means not to pause during the parsing process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.getRateOfProgress . If the rate is not 100 yet, call function common.Progressive.resume to continue the progress until the progress is finished.